> For the complete documentation index, see [llms.txt](https://learn.capstorm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/copystormglobalconfig.md).

# CopyStormJobGlobalConfig

The CopyStormGlobalConfig table contains information required to launch CopyStorm and CopyStorm/Medic tasks.

The following table describes each field in the CopyStormGlobalConfig table:

| Column Name            | Data Type | Required | Description                                                                                                            |
| ---------------------- | --------- | -------- | ---------------------------------------------------------------------------------------------------------------------- |
| version                | varchar   | Yes      | Used by CopyStorm/Director to determine the version of the database schema installed.                                  |
| configDir              | varchar   | Yes      | The name of a directory containing CopyStorm and CopyStorm/Medic configuration files accessible to CopyStorm/Director. |
| copyStormDir           | varchar   | Yes      | The name of a directory which contains a CopyStorm installation.                                                       |
| copyStormMedicDir      | varchar   | Yes      | The name of a directory which contains a CopyStorm/Medic installation.                                                 |
| defaultCopyStormConfig | varchar   | Yes      | The name of the CopyStorm configuration to use by default.                                                             |
| defaultCSMedicConfig   | varchar   | Yes      | The name of the CopyStorm/Medic configuration to use by default.                                                       |
| defaultDatabaseType    | varchar   | Yes      | The type of CopyStorm database to use by default (e.g. sqlserver).                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/copystormglobalconfig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
